library(profvis)

set.seed(1)
dat1 <- array(rnorm(432), dim = c(member = 2, sdate = 2, ftime = 36, lon = 3))

profvis({
  res1 <- s2dv::Season(data = dat1, monini = 1, moninf = 1, monsup = 2)
})

# An improved function from Season. We want to compare it with the existing Season().
Season_v2 <- function(...) {
  ...
  ...
}

profvis({
  res2 <- Season_v2(data = dat1, monini = 1, moninf = 1, monsup = 2)
})
